node package manager

gulp-unpathify

gulp-unpathify Build Status NPM version Dependency Status

Compress browserify require paths using gulp.

If you have any difficulties with the output of this plugin, please use the unpathify tracker.

Installation

Install via npm:

npm install gulp-unpathify --save-dev

Example

var gulp = require('gulp');
var browserify = require('browserify');
var source = require('vinyl-source-stream');
var unpathify = require('gulp-unpathify');
 
gulp.task('browserify', function() {
    return browserify('./main.js')
        .bundle()
        .pipe(source('bundle.js'))
        .pipe(unpathify())
        .pipe(gulp.dest('scripts'));
});

License

MIT © Ben Briggs